/*

* Copyright 2009 by GRUPO IE, Inc.

* 

* Private and Confidential

* Code contained in this document is the property of GRUPO IE. 

* It is for the exclusive use of designated employees 

* and not for distribution without prior written

* authorization.

*/

/*

* Q02bQ022GS00.java

*

* Created on 03/03/09 09:27:42

*/

package q02b.exe.tablasBD;

import java.sql.SQLException;

import java.sql.ResultSet;

import java.sql.Connection;

import q02b.exe.arquitectura.dataobjects.Q02bDAOException;

//import java.math.BigDecimal;



/*

*

* @author automatic generated

* @version 1.0

*/

public interface Q02bITablaBDQ022GS00 {

    /** Method reset */

    public void reset();



    /** Method addColumnSelect(nombreColumna) 

    * @param nombreColumna New value of property columnasSelect.

    * Este método añade una nueva columna a mostrar en el resultado de la select

    * Añadir las columnas usando las constantes de la tabla

    */

    public void addColumnSelect(String nombreColumna);



    /** Method clearColumnsSelect() 

    * Este método vacia el ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void clearColumnsSelect();



    /** Method freeResources() 

    * Este método libera los recursos del DAO.

    */

    public void freeResources();



    /** Method freeResourcesNotConnection() 

    * Este método libera los recursos del DAO.

    */

    public void freeResourcesNotConnection();



    /** Method getColumnsSelect() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * select separadas por comas.

    */

    public String getColumnsSelect();



    /** Method setColumnsSelect(listaColumnas) 

    * Este método da valor al ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void setColumnsSelect(String listaColumnas);



    /** Method setTableFrom(listaTablas) 

    * @param listaTablas New value of property tableFrom.

    * Este método añade la lista de tablas pasadas por parametro a la from .

    * Cada tabla de la lista debe ir separada por comas

    */

    public void setTableFrom(String listaTablas);



    /** Method getTableFrom() 

    * Este método devuelve un String con los nombres de las tablas sobres las q hacer la

    * from separadas por comas.

    */

    public String getTableFrom();



    /** Method getRegModif() 

    * Este método devuelve un int con el nº de regs modificados

    */

    public int getRegModif();



    /** Method getUncommittedRead() 

    * Este método es válido SOLO EN DB2.Devuelve el valor de UncommittedRead

    */

    public boolean getUncommittedRead();



    /** Method setUncommittedRead() 

    * Este método es válido SOLO EN DB2. Permite 'lecturas sucias' si se establece a true

    */

    public void setUncommittedRead(boolean ur);



    /** Method getForUpdate() 

    * Este método devuelve el valor de forUpdate

    */

    public boolean getForUpdate();



    /** Method setForUpdate() 

    * Este método permite añadir la clausula FOR UPDATE si se establece a true

    */

    public void setForUpdate(boolean fu);



    /** Method setGroupBy(listaColumnas) 

    * @param listaColumnas New value of property groupBy.

    * Este método da el valor de la lista de columnas pasadas por parametro a la groupby .

    * Cada columna de la lista debe ir separada por comas

    */

    public void setGroupBy(String listaColumnas);



    /** Method getGroupBy() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * groupBy separadas por comas.

    */

    public String getGroupBy();



    /** Method select(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet select(String where)throws SQLException,Q02bDAOException ;



    /** Method selectCount(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectCount(String where)throws SQLException ;



    /** Method selectDistinct(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct(String where)throws SQLException;



    /** Method selectMax(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectMax(String where)throws SQLException;



    /** Method select() 

    * @return Value of the resultSet.

    */

    public ResultSet select()throws SQLException,Q02bDAOException;



    /** Method selectCount() 

    * @return Value of the resultSet.

    */

    public ResultSet selectCount()throws SQLException;



    /** Method selectDistinct() 

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct()throws SQLException;



    /** Method selectMax() 

    * @return Value of the resultSet.

    */

    public ResultSet selectMax()throws SQLException;



    /** Method update() */

    public void update()throws SQLException;



    /** Method update(where) 

    * @param where New value of property WHERE.

    */

    public void update(String  where )throws SQLException;



    /** Method delete(where) 

    * @param where New value of property WHERE.

    */

    public void delete(String where)throws SQLException;



    /** Method delete */

    public void delete()throws SQLException;



    /** Method insert */

    public void insert()throws SQLException;



    /** Setter for property Q022GT00_ID_CUES.

    * @param valor New value of propertyQ022GT00_ID_CUES.

    */

    public void setQ022GT00_ID_CUES(int valor);

    public void setQ022GT00_ID_CUES(Integer valor);

    public void setQ022GT00_ID_CUES_WHERE(int valor);

    public void setQ022GT00_ID_CUES_WHERE(Integer valor);

    public void setQ022GT00_ID_CUES_MODIF(boolean valor);

    /** Setter for property Q022GT00_ANO.

    * @param valor New value of propertyQ022GT00_ANO.

    */

    public void setQ022GT00_ANO(int valor);

    public void setQ022GT00_ANO(Integer valor);

    public void setQ022GT00_ANO_WHERE(int valor);

    public void setQ022GT00_ANO_WHERE(Integer valor);

    public void setQ022GT00_ANO_MODIF(boolean valor);

    /** Setter for property Q022GT00_CONCEDIDO_LICEN.

    * @param valor New value of propertyQ022GT00_CONCEDIDO_LICEN.

    */

    public void setQ022GT00_CONCEDIDO_LICEN(int valor);

    public void setQ022GT00_CONCEDIDO_LICEN(Integer valor);

    public void setQ022GT00_CONCEDIDO_LICEN_WHERE(int valor);

    public void setQ022GT00_CONCEDIDO_LICEN_WHERE(Integer valor);

    public void setQ022GT00_CONCEDIDO_LICEN_MODIF(boolean valor);

    /** Setter for property Q022GT00_MUN_PROV.

    * @param valor New value of propertyQ022GT00_MUN_PROV.

    */

    public void setQ022GT00_MUN_PROV(String valor);

    public void setQ022GT00_MUN_PROV_WHERE(String valor);

    public void setQ022GT00_MUN_PROV_MODIF(boolean valor);

    /** Setter for property Q022GT00_MUN_MUNI.

    * @param valor New value of propertyQ022GT00_MUN_MUNI.

    */

    public void setQ022GT00_MUN_MUNI(String valor);

    public void setQ022GT00_MUN_MUNI_WHERE(String valor);

    public void setQ022GT00_MUN_MUNI_MODIF(boolean valor);

    /** Setter for property Q022GT00_PRV1A.

    * @param valor New value of propertyQ022GT00_PRV1A.

    */

    public void setQ022GT00_PRV1A(String valor);

    public void setQ022GT00_PRV1A_WHERE(String valor);

    public void setQ022GT00_PRV1A_MODIF(boolean valor);

    /** Setter for property Q022GT00_ADQVI1.

    * @param valor New value of propertyQ022GT00_ADQVI1.

    */

    public void setQ022GT00_ADQVI1(String valor);

    public void setQ022GT00_ADQVI1_WHERE(String valor);

    public void setQ022GT00_ADQVI1_MODIF(boolean valor);

    /** Setter for property Q022GT00_NADQ1.

    * @param valor New value of propertyQ022GT00_NADQ1.

    */

    public void setQ022GT00_NADQ1(int valor);

    public void setQ022GT00_NADQ1(Integer valor);

    public void setQ022GT00_NADQ1_WHERE(int valor);

    public void setQ022GT00_NADQ1_WHERE(Integer valor);

    public void setQ022GT00_NADQ1_MODIF(boolean valor);

    /** Setter for property Q022GT00_PROVI1.

    * @param valor New value of propertyQ022GT00_PROVI1.

    */

    public void setQ022GT00_PROVI1(String valor);

    public void setQ022GT00_PROVI1_WHERE(String valor);

    public void setQ022GT00_PROVI1_MODIF(boolean valor);

    /** Setter for property Q022GT00_NPRO1.

    * @param valor New value of propertyQ022GT00_NPRO1.

    */

    public void setQ022GT00_NPRO1(int valor);

    public void setQ022GT00_NPRO1(Integer valor);

    public void setQ022GT00_NPRO1_WHERE(int valor);

    public void setQ022GT00_NPRO1_WHERE(Integer valor);

    public void setQ022GT00_NPRO1_MODIF(boolean valor);

    /** Setter for property Q022GT00_OTRVI1.

    * @param valor New value of propertyQ022GT00_OTRVI1.

    */

    public void setQ022GT00_OTRVI1(String valor);

    public void setQ022GT00_OTRVI1_WHERE(String valor);

    public void setQ022GT00_OTRVI1_MODIF(boolean valor);

    /** Setter for property Q022GT00_OTRLT1.

    * @param valor New value of propertyQ022GT00_OTRLT1.

    */

    public void setQ022GT00_OTRLT1(String valor);

    public void setQ022GT00_OTRLT1_WHERE(String valor);

    public void setQ022GT00_OTRLT1_MODIF(boolean valor);

    /** Setter for property Q022GT00_NOTR1.

    * @param valor New value of propertyQ022GT00_NOTR1.

    */

    public void setQ022GT00_NOTR1(int valor);

    public void setQ022GT00_NOTR1(Integer valor);

    public void setQ022GT00_NOTR1_WHERE(int valor);

    public void setQ022GT00_NOTR1_WHERE(Integer valor);

    public void setQ022GT00_NOTR1_MODIF(boolean valor);

    /** Setter for property Q022GT00_NTOT1.

    * @param valor New value of propertyQ022GT00_NTOT1.

    */

    public void setQ022GT00_NTOT1(int valor);

    public void setQ022GT00_NTOT1(Integer valor);

    public void setQ022GT00_NTOT1_WHERE(int valor);

    public void setQ022GT00_NTOT1_WHERE(Integer valor);

    public void setQ022GT00_NTOT1_MODIF(boolean valor);

    /** Setter for property Q022GT00_PRV4A.

    * @param valor New value of propertyQ022GT00_PRV4A.

    */

    public void setQ022GT00_PRV4A(String valor);

    public void setQ022GT00_PRV4A_WHERE(String valor);

    public void setQ022GT00_PRV4A_MODIF(boolean valor);

    /** Setter for property Q022GT00_ADQVI4.

    * @param valor New value of propertyQ022GT00_ADQVI4.

    */

    public void setQ022GT00_ADQVI4(String valor);

    public void setQ022GT00_ADQVI4_WHERE(String valor);

    public void setQ022GT00_ADQVI4_MODIF(boolean valor);

    /** Setter for property Q022GT00_NADQ4.

    * @param valor New value of propertyQ022GT00_NADQ4.

    */

    public void setQ022GT00_NADQ4(int valor);

    public void setQ022GT00_NADQ4(Integer valor);

    public void setQ022GT00_NADQ4_WHERE(int valor);

    public void setQ022GT00_NADQ4_WHERE(Integer valor);

    public void setQ022GT00_NADQ4_MODIF(boolean valor);

    /** Setter for property Q022GT00_PROVI4.

    * @param valor New value of propertyQ022GT00_PROVI4.

    */

    public void setQ022GT00_PROVI4(String valor);

    public void setQ022GT00_PROVI4_WHERE(String valor);

    public void setQ022GT00_PROVI4_MODIF(boolean valor);

    /** Setter for property Q022GT00_NPRO4.

    * @param valor New value of propertyQ022GT00_NPRO4.

    */

    public void setQ022GT00_NPRO4(int valor);

    public void setQ022GT00_NPRO4(Integer valor);

    public void setQ022GT00_NPRO4_WHERE(int valor);

    public void setQ022GT00_NPRO4_WHERE(Integer valor);

    public void setQ022GT00_NPRO4_MODIF(boolean valor);

    /** Setter for property Q022GT00_OTRVI4.

    * @param valor New value of propertyQ022GT00_OTRVI4.

    */

    public void setQ022GT00_OTRVI4(String valor);

    public void setQ022GT00_OTRVI4_WHERE(String valor);

    public void setQ022GT00_OTRVI4_MODIF(boolean valor);

    /** Setter for property Q022GT00_OTRLT4.

    * @param valor New value of propertyQ022GT00_OTRLT4.

    */

    public void setQ022GT00_OTRLT4(String valor);

    public void setQ022GT00_OTRLT4_WHERE(String valor);

    public void setQ022GT00_OTRLT4_MODIF(boolean valor);

    /** Setter for property Q022GT00_NOTR4.

    * @param valor New value of propertyQ022GT00_NOTR4.

    */

    public void setQ022GT00_NOTR4(int valor);

    public void setQ022GT00_NOTR4(Integer valor);

    public void setQ022GT00_NOTR4_WHERE(int valor);

    public void setQ022GT00_NOTR4_WHERE(Integer valor);

    public void setQ022GT00_NOTR4_MODIF(boolean valor);

    /** Setter for property Q022GT00_NTOT4.

    * @param valor New value of propertyQ022GT00_NTOT4.

    */

    public void setQ022GT00_NTOT4(int valor);

    public void setQ022GT00_NTOT4(Integer valor);

    public void setQ022GT00_NTOT4_WHERE(int valor);

    public void setQ022GT00_NTOT4_WHERE(Integer valor);

    public void setQ022GT00_NTOT4_MODIF(boolean valor);

    /** Setter for property Q022GT00_TALQ.

    * @param valor New value of propertyQ022GT00_TALQ.

    */

    public void setQ022GT00_TALQ(String valor);

    public void setQ022GT00_TALQ_WHERE(String valor);

    public void setQ022GT00_TALQ_MODIF(boolean valor);

    /** Setter for property Q022GT00_NALQ.

    * @param valor New value of propertyQ022GT00_NALQ.

    */

    public void setQ022GT00_NALQ(int valor);

    public void setQ022GT00_NALQ(Integer valor);

    public void setQ022GT00_NALQ_WHERE(int valor);

    public void setQ022GT00_NALQ_WHERE(Integer valor);

    public void setQ022GT00_NALQ_MODIF(boolean valor);

    /** Setter for property Q022GT00_NSP45.

    * @param valor New value of propertyQ022GT00_NSP45.

    */

    public void setQ022GT00_NSP45(int valor);

    public void setQ022GT00_NSP45(Integer valor);

    public void setQ022GT00_NSP45_WHERE(int valor);

    public void setQ022GT00_NSP45_WHERE(Integer valor);

    public void setQ022GT00_NSP45_MODIF(boolean valor);

    /** Setter for property Q022GT00_NSP75.

    * @param valor New value of propertyQ022GT00_NSP75.

    */

    public void setQ022GT00_NSP75(int valor);

    public void setQ022GT00_NSP75(Integer valor);

    public void setQ022GT00_NSP75_WHERE(int valor);

    public void setQ022GT00_NSP75_WHERE(Integer valor);

    public void setQ022GT00_NSP75_MODIF(boolean valor);

    /** Setter for property Q022GT00_NSP90.

    * @param valor New value of propertyQ022GT00_NSP90.

    */

    public void setQ022GT00_NSP90(int valor);

    public void setQ022GT00_NSP90(Integer valor);

    public void setQ022GT00_NSP90_WHERE(int valor);

    public void setQ022GT00_NSP90_WHERE(Integer valor);

    public void setQ022GT00_NSP90_MODIF(boolean valor);

    /** Setter for property Q022GT00_NSP90M.

    * @param valor New value of propertyQ022GT00_NSP90M.

    */

    public void setQ022GT00_NSP90M(int valor);

    public void setQ022GT00_NSP90M(Integer valor);

    public void setQ022GT00_NSP90M_WHERE(int valor);

    public void setQ022GT00_NSP90M_WHERE(Integer valor);

    public void setQ022GT00_NSP90M_MODIF(boolean valor);

    /** Setter for property Q022GT00_NSPT.

    * @param valor New value of propertyQ022GT00_NSPT.

    */

    public void setQ022GT00_NSPT(int valor);

    public void setQ022GT00_NSPT(Integer valor);

    public void setQ022GT00_NSPT_WHERE(int valor);

    public void setQ022GT00_NSPT_WHERE(Integer valor);

    public void setQ022GT00_NSPT_MODIF(boolean valor);

    /** Setter for property Q022GT00_NRSP45.

    * @param valor New value of propertyQ022GT00_NRSP45.

    */

    public void setQ022GT00_NRSP45(int valor);

    public void setQ022GT00_NRSP45(Integer valor);

    public void setQ022GT00_NRSP45_WHERE(int valor);

    public void setQ022GT00_NRSP45_WHERE(Integer valor);

    public void setQ022GT00_NRSP45_MODIF(boolean valor);

    /** Setter for property Q022GT00_NRSP75.

    * @param valor New value of propertyQ022GT00_NRSP75.

    */

    public void setQ022GT00_NRSP75(int valor);

    public void setQ022GT00_NRSP75(Integer valor);

    public void setQ022GT00_NRSP75_WHERE(int valor);

    public void setQ022GT00_NRSP75_WHERE(Integer valor);

    public void setQ022GT00_NRSP75_MODIF(boolean valor);

    /** Setter for property Q022GT00_NRSP90.

    * @param valor New value of propertyQ022GT00_NRSP90.

    */

    public void setQ022GT00_NRSP90(int valor);

    public void setQ022GT00_NRSP90(Integer valor);

    public void setQ022GT00_NRSP90_WHERE(int valor);

    public void setQ022GT00_NRSP90_WHERE(Integer valor);

    public void setQ022GT00_NRSP90_MODIF(boolean valor);

    /** Setter for property Q022GT00_NRSP90M.

    * @param valor New value of propertyQ022GT00_NRSP90M.

    */

    public void setQ022GT00_NRSP90M(int valor);

    public void setQ022GT00_NRSP90M(Integer valor);

    public void setQ022GT00_NRSP90M_WHERE(int valor);

    public void setQ022GT00_NRSP90M_WHERE(Integer valor);

    public void setQ022GT00_NRSP90M_MODIF(boolean valor);

    /** Setter for property Q022GT00_NRSPT.

    * @param valor New value of propertyQ022GT00_NRSPT.

    */

    public void setQ022GT00_NRSPT(int valor);

    public void setQ022GT00_NRSPT(Integer valor);

    public void setQ022GT00_NRSPT_WHERE(int valor);

    public void setQ022GT00_NRSPT_WHERE(Integer valor);

    public void setQ022GT00_NRSPT_MODIF(boolean valor);

    /** Setter for property Q022GT00_NOCUP.

    * @param valor New value of propertyQ022GT00_NOCUP.

    */

    public void setQ022GT00_NOCUP(int valor);

    public void setQ022GT00_NOCUP(Integer valor);

    public void setQ022GT00_NOCUP_WHERE(int valor);

    public void setQ022GT00_NOCUP_WHERE(Integer valor);

    public void setQ022GT00_NOCUP_MODIF(boolean valor);

    /** Setter for property Q022GT00_NDESA.

    * @param valor New value of propertyQ022GT00_NDESA.

    */

    public void setQ022GT00_NDESA(int valor);

    public void setQ022GT00_NDESA(Integer valor);

    public void setQ022GT00_NDESA_WHERE(int valor);

    public void setQ022GT00_NDESA_WHERE(Integer valor);

    public void setQ022GT00_NDESA_MODIF(boolean valor);

    /** Setter for property Q022GT00_NDESO.

    * @param valor New value of propertyQ022GT00_NDESO.

    */

    public void setQ022GT00_NDESO(int valor);

    public void setQ022GT00_NDESO(Integer valor);

    public void setQ022GT00_NDESO_WHERE(int valor);

    public void setQ022GT00_NDESO_WHERE(Integer valor);

    public void setQ022GT00_NDESO_MODIF(boolean valor);

    /** Setter for property Q022GT00_NDESOT.

    * @param valor New value of propertyQ022GT00_NDESOT.

    */

    public void setQ022GT00_NDESOT(int valor);

    public void setQ022GT00_NDESOT(Integer valor);

    public void setQ022GT00_NDESOT_WHERE(int valor);

    public void setQ022GT00_NDESOT_WHERE(Integer valor);

    public void setQ022GT00_NDESOT_MODIF(boolean valor);

    /** Setter for property Q022GT00_DESOTR.

    * @param valor New value of propertyQ022GT00_DESOTR.

    */

    public void setQ022GT00_DESOTR(String valor);

    public void setQ022GT00_DESOTR_WHERE(String valor);

    public void setQ022GT00_DESOTR_MODIF(boolean valor);

    /** Setter for property Q022GT00_NOCUT.

    * @param valor New value of propertyQ022GT00_NOCUT.

    */

    public void setQ022GT00_NOCUT(int valor);

    public void setQ022GT00_NOCUT(Integer valor);

    public void setQ022GT00_NOCUT_WHERE(int valor);

    public void setQ022GT00_NOCUT_WHERE(Integer valor);

    public void setQ022GT00_NOCUT_MODIF(boolean valor);

    /** Setter for property Q022GT00_NVPOG.

    * @param valor New value of propertyQ022GT00_NVPOG.

    */

    public void setQ022GT00_NVPOG(int valor);

    public void setQ022GT00_NVPOG(Integer valor);

    public void setQ022GT00_NVPOG_WHERE(int valor);

    public void setQ022GT00_NVPOG_WHERE(Integer valor);

    public void setQ022GT00_NVPOG_MODIF(boolean valor);

    /** Setter for property Q022GT00_NVPOE.

    * @param valor New value of propertyQ022GT00_NVPOE.

    */

    public void setQ022GT00_NVPOE(int valor);

    public void setQ022GT00_NVPOE(Integer valor);

    public void setQ022GT00_NVPOE_WHERE(int valor);

    public void setQ022GT00_NVPOE_WHERE(Integer valor);

    public void setQ022GT00_NVPOE_MODIF(boolean valor);

    /** Setter for property Q022GT00_NVPOT.

    * @param valor New value of propertyQ022GT00_NVPOT.

    */

    public void setQ022GT00_NVPOT(int valor);

    public void setQ022GT00_NVPOT(Integer valor);

    public void setQ022GT00_NVPOT_WHERE(int valor);

    public void setQ022GT00_NVPOT_WHERE(Integer valor);

    public void setQ022GT00_NVPOT_MODIF(boolean valor);

    /** Setter for property Q022GT00_NALOD.

    * @param valor New value of propertyQ022GT00_NALOD.

    */

    public void setQ022GT00_NALOD(int valor);

    public void setQ022GT00_NALOD(Integer valor);

    public void setQ022GT00_NALOD_WHERE(int valor);

    public void setQ022GT00_NALOD_WHERE(Integer valor);

    public void setQ022GT00_NALOD_MODIF(boolean valor);

    /** Setter for property Q022GT00_NREAL.

    * @param valor New value of propertyQ022GT00_NREAL.

    */

    public void setQ022GT00_NREAL(int valor);

    public void setQ022GT00_NREAL(Integer valor);

    public void setQ022GT00_NREAL_WHERE(int valor);

    public void setQ022GT00_NREAL_WHERE(Integer valor);

    public void setQ022GT00_NREAL_MODIF(boolean valor);

    /** Setter for property Q022GT00_NLIBRE.

    * @param valor New value of propertyQ022GT00_NLIBRE.

    */

    public void setQ022GT00_NLIBRE(int valor);

    public void setQ022GT00_NLIBRE(Integer valor);

    public void setQ022GT00_NLIBRE_WHERE(int valor);

    public void setQ022GT00_NLIBRE_WHERE(Integer valor);

    public void setQ022GT00_NLIBRE_MODIF(boolean valor);

    /** Setter for property Q022GT00_NVTMG.

    * @param valor New value of propertyQ022GT00_NVTMG.

    */

    public void setQ022GT00_NVTMG(int valor);

    public void setQ022GT00_NVTMG(Integer valor);

    public void setQ022GT00_NVTMG_WHERE(int valor);

    public void setQ022GT00_NVTMG_WHERE(Integer valor);

    public void setQ022GT00_NVTMG_MODIF(boolean valor);

    /** Setter for property Q022GT00_NVTME.

    * @param valor New value of propertyQ022GT00_NVTME.

    */

    public void setQ022GT00_NVTME(int valor);

    public void setQ022GT00_NVTME(Integer valor);

    public void setQ022GT00_NVTME_WHERE(int valor);

    public void setQ022GT00_NVTME_WHERE(Integer valor);

    public void setQ022GT00_NVTME_MODIF(boolean valor);

    /** Setter for property Q022GT00_NVTOT.

    * @param valor New value of propertyQ022GT00_NVTOT.

    */

    public void setQ022GT00_NVTOT(int valor);

    public void setQ022GT00_NVTOT(Integer valor);

    public void setQ022GT00_NVTOT_WHERE(int valor);

    public void setQ022GT00_NVTOT_WHERE(Integer valor);

    public void setQ022GT00_NVTOT_MODIF(boolean valor);

    /** Setter for property Q022GT00_NANT60M.

    * @param valor New value of propertyQ022GT00_NANT60M.

    */

    public void setQ022GT00_NANT60M(int valor);

    public void setQ022GT00_NANT60M(Integer valor);

    public void setQ022GT00_NANT60M_WHERE(int valor);

    public void setQ022GT00_NANT60M_WHERE(Integer valor);

    public void setQ022GT00_NANT60M_MODIF(boolean valor);

    /** Setter for property Q022GT00_NANT30.

    * @param valor New value of propertyQ022GT00_NANT30.

    */

    public void setQ022GT00_NANT30(int valor);

    public void setQ022GT00_NANT30(Integer valor);

    public void setQ022GT00_NANT30_WHERE(int valor);

    public void setQ022GT00_NANT30_WHERE(Integer valor);

    public void setQ022GT00_NANT30_MODIF(boolean valor);

    /** Setter for property Q022GT00_NANT10.

    * @param valor New value of propertyQ022GT00_NANT10.

    */

    public void setQ022GT00_NANT10(int valor);

    public void setQ022GT00_NANT10(Integer valor);

    public void setQ022GT00_NANT10_WHERE(int valor);

    public void setQ022GT00_NANT10_WHERE(Integer valor);

    public void setQ022GT00_NANT10_MODIF(boolean valor);

    /** Setter for property Q022GT00_NANT10M.

    * @param valor New value of propertyQ022GT00_NANT10M.

    */

    public void setQ022GT00_NANT10M(int valor);

    public void setQ022GT00_NANT10M(Integer valor);

    public void setQ022GT00_NANT10M_WHERE(int valor);

    public void setQ022GT00_NANT10M_WHERE(Integer valor);

    public void setQ022GT00_NANT10M_MODIF(boolean valor);

    /** Setter for property Q022GT00_NANTT.

    * @param valor New value of propertyQ022GT00_NANTT.

    */

    public void setQ022GT00_NANTT(int valor);

    public void setQ022GT00_NANTT(Integer valor);

    public void setQ022GT00_NANTT_WHERE(int valor);

    public void setQ022GT00_NANTT_WHERE(Integer valor);

    public void setQ022GT00_NANTT_MODIF(boolean valor);

    /** Setter for property Q022GT00_OBSAL.

    * @param valor New value of propertyQ022GT00_OBSAL.

    */

    public void setQ022GT00_OBSAL(String valor);

    public void setQ022GT00_OBSAL_WHERE(String valor);

    public void setQ022GT00_OBSAL_MODIF(boolean valor);

    /** Setter for property Q022GT00_OBSSU.

    * @param valor New value of propertyQ022GT00_OBSSU.

    */

    public void setQ022GT00_OBSSU(String valor);

    public void setQ022GT00_OBSSU_WHERE(String valor);

    public void setQ022GT00_OBSSU_MODIF(boolean valor);

    /** Getter for property Q022GT00_ID_CUES.

    * @return Value of property Q022GT00_ID_CUES.

    */

    public Integer getQ022GT00_ID_CUES();



    /** Getter for property Q022GT00_ID_CUES_WHERE.

    * @return Value of property Q022GT00_ID_CUES_WHERE.

    */

    public Integer getQ022GT00_ID_CUES_WHERE();



    /** Getter for property Q022GT00_ANO.

    * @return Value of property Q022GT00_ANO.

    */

    public Integer getQ022GT00_ANO();



    /** Getter for property Q022GT00_ANO_WHERE.

    * @return Value of property Q022GT00_ANO_WHERE.

    */

    public Integer getQ022GT00_ANO_WHERE();



    /** Getter for property Q022GT00_CONCEDIDO_LICEN.

    * @return Value of property Q022GT00_CONCEDIDO_LICEN.

    */

    public Integer getQ022GT00_CONCEDIDO_LICEN();



    /** Getter for property Q022GT00_CONCEDIDO_LICEN_WHERE.

    * @return Value of property Q022GT00_CONCEDIDO_LICEN_WHERE.

    */

    public Integer getQ022GT00_CONCEDIDO_LICEN_WHERE();



    /** Getter for property Q022GT00_MUN_PROV.

    * @return Value of property Q022GT00_MUN_PROV.

    */

    public String getQ022GT00_MUN_PROV();



    /** Getter for property Q022GT00_MUN_PROV_WHERE.

    * @return Value of property Q022GT00_MUN_PROV_WHERE.

    */

    public String getQ022GT00_MUN_PROV_WHERE();



    /** Getter for property Q022GT00_MUN_MUNI.

    * @return Value of property Q022GT00_MUN_MUNI.

    */

    public String getQ022GT00_MUN_MUNI();



    /** Getter for property Q022GT00_MUN_MUNI_WHERE.

    * @return Value of property Q022GT00_MUN_MUNI_WHERE.

    */

    public String getQ022GT00_MUN_MUNI_WHERE();



    /** Getter for property Q022GT00_PRV1A.

    * @return Value of property Q022GT00_PRV1A.

    */

    public String getQ022GT00_PRV1A();



    /** Getter for property Q022GT00_PRV1A_WHERE.

    * @return Value of property Q022GT00_PRV1A_WHERE.

    */

    public String getQ022GT00_PRV1A_WHERE();



    /** Getter for property Q022GT00_ADQVI1.

    * @return Value of property Q022GT00_ADQVI1.

    */

    public String getQ022GT00_ADQVI1();



    /** Getter for property Q022GT00_ADQVI1_WHERE.

    * @return Value of property Q022GT00_ADQVI1_WHERE.

    */

    public String getQ022GT00_ADQVI1_WHERE();



    /** Getter for property Q022GT00_NADQ1.

    * @return Value of property Q022GT00_NADQ1.

    */

    public Integer getQ022GT00_NADQ1();



    /** Getter for property Q022GT00_NADQ1_WHERE.

    * @return Value of property Q022GT00_NADQ1_WHERE.

    */

    public Integer getQ022GT00_NADQ1_WHERE();



    /** Getter for property Q022GT00_PROVI1.

    * @return Value of property Q022GT00_PROVI1.

    */

    public String getQ022GT00_PROVI1();



    /** Getter for property Q022GT00_PROVI1_WHERE.

    * @return Value of property Q022GT00_PROVI1_WHERE.

    */

    public String getQ022GT00_PROVI1_WHERE();



    /** Getter for property Q022GT00_NPRO1.

    * @return Value of property Q022GT00_NPRO1.

    */

    public Integer getQ022GT00_NPRO1();



    /** Getter for property Q022GT00_NPRO1_WHERE.

    * @return Value of property Q022GT00_NPRO1_WHERE.

    */

    public Integer getQ022GT00_NPRO1_WHERE();



    /** Getter for property Q022GT00_OTRVI1.

    * @return Value of property Q022GT00_OTRVI1.

    */

    public String getQ022GT00_OTRVI1();



    /** Getter for property Q022GT00_OTRVI1_WHERE.

    * @return Value of property Q022GT00_OTRVI1_WHERE.

    */

    public String getQ022GT00_OTRVI1_WHERE();



    /** Getter for property Q022GT00_OTRLT1.

    * @return Value of property Q022GT00_OTRLT1.

    */

    public String getQ022GT00_OTRLT1();



    /** Getter for property Q022GT00_OTRLT1_WHERE.

    * @return Value of property Q022GT00_OTRLT1_WHERE.

    */

    public String getQ022GT00_OTRLT1_WHERE();



    /** Getter for property Q022GT00_NOTR1.

    * @return Value of property Q022GT00_NOTR1.

    */

    public Integer getQ022GT00_NOTR1();



    /** Getter for property Q022GT00_NOTR1_WHERE.

    * @return Value of property Q022GT00_NOTR1_WHERE.

    */

    public Integer getQ022GT00_NOTR1_WHERE();



    /** Getter for property Q022GT00_NTOT1.

    * @return Value of property Q022GT00_NTOT1.

    */

    public Integer getQ022GT00_NTOT1();



    /** Getter for property Q022GT00_NTOT1_WHERE.

    * @return Value of property Q022GT00_NTOT1_WHERE.

    */

    public Integer getQ022GT00_NTOT1_WHERE();



    /** Getter for property Q022GT00_PRV4A.

    * @return Value of property Q022GT00_PRV4A.

    */

    public String getQ022GT00_PRV4A();



    /** Getter for property Q022GT00_PRV4A_WHERE.

    * @return Value of property Q022GT00_PRV4A_WHERE.

    */

    public String getQ022GT00_PRV4A_WHERE();



    /** Getter for property Q022GT00_ADQVI4.

    * @return Value of property Q022GT00_ADQVI4.

    */

    public String getQ022GT00_ADQVI4();



    /** Getter for property Q022GT00_ADQVI4_WHERE.

    * @return Value of property Q022GT00_ADQVI4_WHERE.

    */

    public String getQ022GT00_ADQVI4_WHERE();



    /** Getter for property Q022GT00_NADQ4.

    * @return Value of property Q022GT00_NADQ4.

    */

    public Integer getQ022GT00_NADQ4();



    /** Getter for property Q022GT00_NADQ4_WHERE.

    * @return Value of property Q022GT00_NADQ4_WHERE.

    */

    public Integer getQ022GT00_NADQ4_WHERE();



    /** Getter for property Q022GT00_PROVI4.

    * @return Value of property Q022GT00_PROVI4.

    */

    public String getQ022GT00_PROVI4();



    /** Getter for property Q022GT00_PROVI4_WHERE.

    * @return Value of property Q022GT00_PROVI4_WHERE.

    */

    public String getQ022GT00_PROVI4_WHERE();



    /** Getter for property Q022GT00_NPRO4.

    * @return Value of property Q022GT00_NPRO4.

    */

    public Integer getQ022GT00_NPRO4();



    /** Getter for property Q022GT00_NPRO4_WHERE.

    * @return Value of property Q022GT00_NPRO4_WHERE.

    */

    public Integer getQ022GT00_NPRO4_WHERE();



    /** Getter for property Q022GT00_OTRVI4.

    * @return Value of property Q022GT00_OTRVI4.

    */

    public String getQ022GT00_OTRVI4();



    /** Getter for property Q022GT00_OTRVI4_WHERE.

    * @return Value of property Q022GT00_OTRVI4_WHERE.

    */

    public String getQ022GT00_OTRVI4_WHERE();



    /** Getter for property Q022GT00_OTRLT4.

    * @return Value of property Q022GT00_OTRLT4.

    */

    public String getQ022GT00_OTRLT4();



    /** Getter for property Q022GT00_OTRLT4_WHERE.

    * @return Value of property Q022GT00_OTRLT4_WHERE.

    */

    public String getQ022GT00_OTRLT4_WHERE();



    /** Getter for property Q022GT00_NOTR4.

    * @return Value of property Q022GT00_NOTR4.

    */

    public Integer getQ022GT00_NOTR4();



    /** Getter for property Q022GT00_NOTR4_WHERE.

    * @return Value of property Q022GT00_NOTR4_WHERE.

    */

    public Integer getQ022GT00_NOTR4_WHERE();



    /** Getter for property Q022GT00_NTOT4.

    * @return Value of property Q022GT00_NTOT4.

    */

    public Integer getQ022GT00_NTOT4();



    /** Getter for property Q022GT00_NTOT4_WHERE.

    * @return Value of property Q022GT00_NTOT4_WHERE.

    */

    public Integer getQ022GT00_NTOT4_WHERE();



    /** Getter for property Q022GT00_TALQ.

    * @return Value of property Q022GT00_TALQ.

    */

    public String getQ022GT00_TALQ();



    /** Getter for property Q022GT00_TALQ_WHERE.

    * @return Value of property Q022GT00_TALQ_WHERE.

    */

    public String getQ022GT00_TALQ_WHERE();



    /** Getter for property Q022GT00_NALQ.

    * @return Value of property Q022GT00_NALQ.

    */

    public Integer getQ022GT00_NALQ();



    /** Getter for property Q022GT00_NALQ_WHERE.

    * @return Value of property Q022GT00_NALQ_WHERE.

    */

    public Integer getQ022GT00_NALQ_WHERE();



    /** Getter for property Q022GT00_NSP45.

    * @return Value of property Q022GT00_NSP45.

    */

    public Integer getQ022GT00_NSP45();



    /** Getter for property Q022GT00_NSP45_WHERE.

    * @return Value of property Q022GT00_NSP45_WHERE.

    */

    public Integer getQ022GT00_NSP45_WHERE();



    /** Getter for property Q022GT00_NSP75.

    * @return Value of property Q022GT00_NSP75.

    */

    public Integer getQ022GT00_NSP75();



    /** Getter for property Q022GT00_NSP75_WHERE.

    * @return Value of property Q022GT00_NSP75_WHERE.

    */

    public Integer getQ022GT00_NSP75_WHERE();



    /** Getter for property Q022GT00_NSP90.

    * @return Value of property Q022GT00_NSP90.

    */

    public Integer getQ022GT00_NSP90();



    /** Getter for property Q022GT00_NSP90_WHERE.

    * @return Value of property Q022GT00_NSP90_WHERE.

    */

    public Integer getQ022GT00_NSP90_WHERE();



    /** Getter for property Q022GT00_NSP90M.

    * @return Value of property Q022GT00_NSP90M.

    */

    public Integer getQ022GT00_NSP90M();



    /** Getter for property Q022GT00_NSP90M_WHERE.

    * @return Value of property Q022GT00_NSP90M_WHERE.

    */

    public Integer getQ022GT00_NSP90M_WHERE();



    /** Getter for property Q022GT00_NSPT.

    * @return Value of property Q022GT00_NSPT.

    */

    public Integer getQ022GT00_NSPT();



    /** Getter for property Q022GT00_NSPT_WHERE.

    * @return Value of property Q022GT00_NSPT_WHERE.

    */

    public Integer getQ022GT00_NSPT_WHERE();



    /** Getter for property Q022GT00_NRSP45.

    * @return Value of property Q022GT00_NRSP45.

    */

    public Integer getQ022GT00_NRSP45();



    /** Getter for property Q022GT00_NRSP45_WHERE.

    * @return Value of property Q022GT00_NRSP45_WHERE.

    */

    public Integer getQ022GT00_NRSP45_WHERE();



    /** Getter for property Q022GT00_NRSP75.

    * @return Value of property Q022GT00_NRSP75.

    */

    public Integer getQ022GT00_NRSP75();



    /** Getter for property Q022GT00_NRSP75_WHERE.

    * @return Value of property Q022GT00_NRSP75_WHERE.

    */

    public Integer getQ022GT00_NRSP75_WHERE();



    /** Getter for property Q022GT00_NRSP90.

    * @return Value of property Q022GT00_NRSP90.

    */

    public Integer getQ022GT00_NRSP90();



    /** Getter for property Q022GT00_NRSP90_WHERE.

    * @return Value of property Q022GT00_NRSP90_WHERE.

    */

    public Integer getQ022GT00_NRSP90_WHERE();



    /** Getter for property Q022GT00_NRSP90M.

    * @return Value of property Q022GT00_NRSP90M.

    */

    public Integer getQ022GT00_NRSP90M();



    /** Getter for property Q022GT00_NRSP90M_WHERE.

    * @return Value of property Q022GT00_NRSP90M_WHERE.

    */

    public Integer getQ022GT00_NRSP90M_WHERE();



    /** Getter for property Q022GT00_NRSPT.

    * @return Value of property Q022GT00_NRSPT.

    */

    public Integer getQ022GT00_NRSPT();



    /** Getter for property Q022GT00_NRSPT_WHERE.

    * @return Value of property Q022GT00_NRSPT_WHERE.

    */

    public Integer getQ022GT00_NRSPT_WHERE();



    /** Getter for property Q022GT00_NOCUP.

    * @return Value of property Q022GT00_NOCUP.

    */

    public Integer getQ022GT00_NOCUP();



    /** Getter for property Q022GT00_NOCUP_WHERE.

    * @return Value of property Q022GT00_NOCUP_WHERE.

    */

    public Integer getQ022GT00_NOCUP_WHERE();



    /** Getter for property Q022GT00_NDESA.

    * @return Value of property Q022GT00_NDESA.

    */

    public Integer getQ022GT00_NDESA();



    /** Getter for property Q022GT00_NDESA_WHERE.

    * @return Value of property Q022GT00_NDESA_WHERE.

    */

    public Integer getQ022GT00_NDESA_WHERE();



    /** Getter for property Q022GT00_NDESO.

    * @return Value of property Q022GT00_NDESO.

    */

    public Integer getQ022GT00_NDESO();



    /** Getter for property Q022GT00_NDESO_WHERE.

    * @return Value of property Q022GT00_NDESO_WHERE.

    */

    public Integer getQ022GT00_NDESO_WHERE();



    /** Getter for property Q022GT00_NDESOT.

    * @return Value of property Q022GT00_NDESOT.

    */

    public Integer getQ022GT00_NDESOT();



    /** Getter for property Q022GT00_NDESOT_WHERE.

    * @return Value of property Q022GT00_NDESOT_WHERE.

    */

    public Integer getQ022GT00_NDESOT_WHERE();



    /** Getter for property Q022GT00_DESOTR.

    * @return Value of property Q022GT00_DESOTR.

    */

    public String getQ022GT00_DESOTR();



    /** Getter for property Q022GT00_DESOTR_WHERE.

    * @return Value of property Q022GT00_DESOTR_WHERE.

    */

    public String getQ022GT00_DESOTR_WHERE();



    /** Getter for property Q022GT00_NOCUT.

    * @return Value of property Q022GT00_NOCUT.

    */

    public Integer getQ022GT00_NOCUT();



    /** Getter for property Q022GT00_NOCUT_WHERE.

    * @return Value of property Q022GT00_NOCUT_WHERE.

    */

    public Integer getQ022GT00_NOCUT_WHERE();



    /** Getter for property Q022GT00_NVPOG.

    * @return Value of property Q022GT00_NVPOG.

    */

    public Integer getQ022GT00_NVPOG();



    /** Getter for property Q022GT00_NVPOG_WHERE.

    * @return Value of property Q022GT00_NVPOG_WHERE.

    */

    public Integer getQ022GT00_NVPOG_WHERE();



    /** Getter for property Q022GT00_NVPOE.

    * @return Value of property Q022GT00_NVPOE.

    */

    public Integer getQ022GT00_NVPOE();



    /** Getter for property Q022GT00_NVPOE_WHERE.

    * @return Value of property Q022GT00_NVPOE_WHERE.

    */

    public Integer getQ022GT00_NVPOE_WHERE();



    /** Getter for property Q022GT00_NVPOT.

    * @return Value of property Q022GT00_NVPOT.

    */

    public Integer getQ022GT00_NVPOT();



    /** Getter for property Q022GT00_NVPOT_WHERE.

    * @return Value of property Q022GT00_NVPOT_WHERE.

    */

    public Integer getQ022GT00_NVPOT_WHERE();



    /** Getter for property Q022GT00_NALOD.

    * @return Value of property Q022GT00_NALOD.

    */

    public Integer getQ022GT00_NALOD();



    /** Getter for property Q022GT00_NALOD_WHERE.

    * @return Value of property Q022GT00_NALOD_WHERE.

    */

    public Integer getQ022GT00_NALOD_WHERE();



    /** Getter for property Q022GT00_NREAL.

    * @return Value of property Q022GT00_NREAL.

    */

    public Integer getQ022GT00_NREAL();



    /** Getter for property Q022GT00_NREAL_WHERE.

    * @return Value of property Q022GT00_NREAL_WHERE.

    */

    public Integer getQ022GT00_NREAL_WHERE();



    /** Getter for property Q022GT00_NLIBRE.

    * @return Value of property Q022GT00_NLIBRE.

    */

    public Integer getQ022GT00_NLIBRE();



    /** Getter for property Q022GT00_NLIBRE_WHERE.

    * @return Value of property Q022GT00_NLIBRE_WHERE.

    */

    public Integer getQ022GT00_NLIBRE_WHERE();



    /** Getter for property Q022GT00_NVTMG.

    * @return Value of property Q022GT00_NVTMG.

    */

    public Integer getQ022GT00_NVTMG();



    /** Getter for property Q022GT00_NVTMG_WHERE.

    * @return Value of property Q022GT00_NVTMG_WHERE.

    */

    public Integer getQ022GT00_NVTMG_WHERE();



    /** Getter for property Q022GT00_NVTME.

    * @return Value of property Q022GT00_NVTME.

    */

    public Integer getQ022GT00_NVTME();



    /** Getter for property Q022GT00_NVTME_WHERE.

    * @return Value of property Q022GT00_NVTME_WHERE.

    */

    public Integer getQ022GT00_NVTME_WHERE();



    /** Getter for property Q022GT00_NVTOT.

    * @return Value of property Q022GT00_NVTOT.

    */

    public Integer getQ022GT00_NVTOT();



    /** Getter for property Q022GT00_NVTOT_WHERE.

    * @return Value of property Q022GT00_NVTOT_WHERE.

    */

    public Integer getQ022GT00_NVTOT_WHERE();



    /** Getter for property Q022GT00_NANT60M.

    * @return Value of property Q022GT00_NANT60M.

    */

    public Integer getQ022GT00_NANT60M();



    /** Getter for property Q022GT00_NANT60M_WHERE.

    * @return Value of property Q022GT00_NANT60M_WHERE.

    */

    public Integer getQ022GT00_NANT60M_WHERE();



    /** Getter for property Q022GT00_NANT30.

    * @return Value of property Q022GT00_NANT30.

    */

    public Integer getQ022GT00_NANT30();



    /** Getter for property Q022GT00_NANT30_WHERE.

    * @return Value of property Q022GT00_NANT30_WHERE.

    */

    public Integer getQ022GT00_NANT30_WHERE();



    /** Getter for property Q022GT00_NANT10.

    * @return Value of property Q022GT00_NANT10.

    */

    public Integer getQ022GT00_NANT10();



    /** Getter for property Q022GT00_NANT10_WHERE.

    * @return Value of property Q022GT00_NANT10_WHERE.

    */

    public Integer getQ022GT00_NANT10_WHERE();



    /** Getter for property Q022GT00_NANT10M.

    * @return Value of property Q022GT00_NANT10M.

    */

    public Integer getQ022GT00_NANT10M();



    /** Getter for property Q022GT00_NANT10M_WHERE.

    * @return Value of property Q022GT00_NANT10M_WHERE.

    */

    public Integer getQ022GT00_NANT10M_WHERE();



    /** Getter for property Q022GT00_NANTT.

    * @return Value of property Q022GT00_NANTT.

    */

    public Integer getQ022GT00_NANTT();



    /** Getter for property Q022GT00_NANTT_WHERE.

    * @return Value of property Q022GT00_NANTT_WHERE.

    */

    public Integer getQ022GT00_NANTT_WHERE();



    /** Getter for property Q022GT00_OBSAL.

    * @return Value of property Q022GT00_OBSAL.

    */

    public String getQ022GT00_OBSAL();



    /** Getter for property Q022GT00_OBSAL_WHERE.

    * @return Value of property Q022GT00_OBSAL_WHERE.

    */

    public String getQ022GT00_OBSAL_WHERE();



    /** Getter for property Q022GT00_OBSSU.

    * @return Value of property Q022GT00_OBSSU.

    */

    public String getQ022GT00_OBSSU();



    /** Getter for property Q022GT00_OBSSU_WHERE.

    * @return Value of property Q022GT00_OBSSU_WHERE.

    */

    public String getQ022GT00_OBSSU_WHERE();



    /** Setter for property idConexion.

    * @param valor New value of property idConexion.

    */

    public void setIdConexion(String valor);



    /** Getter for property fechaClase.

    * @return Value of property fechaClase.

    */

    public String getFechaClase();



    /** Getter for property idConexion.

    * @return Value of property idConexion.

    */

    public String getIdConexion();



    /** Getter for property queryLog.

    * @return Value of property queryLog.

    * variable donde se guarda la ultima sentencia ejecutada

    */

    public String getQueryLog();



    /** Setter for property numMaxRegistros.

    * @param valor New value of property numMaxRegistros.

    */

    public void setNumMaxRegistros(int valor);



    /** Getter for property numMaxRegistros.

    * @return Value of property numMaxRegistros.

    */

    public int getNumMaxRegistros();



    /** Setter for property orderBy.

    * @param valor New value of property orderBy.

    */

    public void setOrderBy(String valor);



    /** Getter for property orderBy.

    * @return Value of property orderBy.

    */

    public String getOrderBy();



    /** Setter for property aditionalWhere.

    * @param valor New value of property aditionalWhere.

    */

    public void setAditionalWhere(String valor);



    /** Getter for property aditionalWhere.

    * @return Value of property aditionalWhere.

    */

    public String getAditionalWhere();



    /** Getter for property initialWhere.

    * @return Value of property initialWhere.

    */

    public String getInitialWhere();



    /** Setter for property initialWhere.

    * @param valor New value of property initialWhere.

    */

    public void setInitialWhere(String valor);



    /** Getter for property fixedWhere.

    * @return Value of property fixedWhere.

    */

    public String getFixedWhere();



    /** Setter for property fixedWhere.

    * @param valor New value of property fixedWhere.

    */

    public void setFixedWhere(String valor);



    /** Setter for property distinct.

    * @param valor New value of property distinct.

    */

    public void setDistinct(String valor);



    /** Getter for property distinct.

    * @return Value of property distinct.

    */

    public String getDistinct();



    /** Setter for property numInicio.

    * @param valor New value of property numInicio.

    */

    public void setNumInicio(int valor);



    /** Getter for property numInicio.

    * @return Value of property numInicio.

    */

    public int getNumInicio();



    /** Setter for property numFinal.

    * @param valor New value of property numFinal.

    */

    public void setNumFinal(int valor);



    /** Getter for property numFinal.

    * @return Value of property numFinal.

    */

    public int getNumFinal();



    /** Setter for property limitRows.

    * @param valor New value of property limitRows.

    */

    public void setLimitRows(boolean valor);



    /** Getter for property limitRows.

    * @return Value of property limitRows.

    */

    public boolean getLimitRows();



    /** Setter for property max.

    * @param valor New value of property max.

    */

    public void setMax(String valor);



    /** Getter for property max.

    * @return Value of property max.

    */

    public String getMax();



    /** Getter for property conexion.

    * @return Value of property conexion.

    */

    public Connection getConn();



}

